# https://github.com/lunixbochs/struc
%global goipath         github.com/lunixbochs/struc
%global commit          784aaebc1d40221be4246c79cacd888a54448aa5

%gometa

%global common_description %{expand:
Struc exists to pack and unpack C-style structures from bytes, which is useful
for binary files and network protocols. It could be considered an alternative
to encoding/binary, which requires massive boilerplate for some similar operations.}

%global golicenses      LICENSE
%global godocs          README.md

Name:           %{goname}
Version:        0
Release:        0.1%{?dist}
Summary:        Pack and unpack C-style structures from bytes

# Upstream license specification: MIT
License:        MIT
URL:            %{gourl}
Source0:        %{gosource}

%description
%{common_description}

%gopkg

%prep
%goprep

%install
%gopkginstall

%gopkgfiles

%changelog
